Skip to main content
GET
/
api
/
sanctions
/
v1
/
list-sanctions-pressure
ListSanctionsPressure
curl --request GET \
  --url https://api.example.com/api/sanctions/v1/list-sanctions-pressure
{
  "entries": [
    {
      "id": "<string>",
      "name": "<string>",
      "entityType": "SANCTIONS_ENTITY_TYPE_UNSPECIFIED",
      "countryCodes": [
        "<string>"
      ],
      "countryNames": [
        "<string>"
      ],
      "programs": [
        "<string>"
      ],
      "sourceLists": [
        "<string>"
      ],
      "effectiveAt": "<string>",
      "isNew": true,
      "note": "<string>"
    }
  ],
  "countries": [
    {
      "countryCode": "<string>",
      "countryName": "<string>",
      "entryCount": 123,
      "newEntryCount": 123,
      "vesselCount": 123,
      "aircraftCount": 123
    }
  ],
  "programs": [
    {
      "program": "<string>",
      "entryCount": 123,
      "newEntryCount": 123
    }
  ],
  "fetchedAt": "<string>",
  "datasetDate": "<string>",
  "totalCount": 123,
  "sdnCount": 123,
  "consolidatedCount": 123,
  "newEntryCount": 123,
  "vesselCount": 123,
  "aircraftCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://worldmonitor.app/docs/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

max_items
integer<int32>

Response

Successful response

ListSanctionsPressureResponse contains normalized OFAC pressure summaries and recent entries.

entries
object[]
countries
object[]
programs
object[]
fetchedAt
string<int64>
datasetDate
string<int64>
totalCount
integer<int32>
sdnCount
integer<int32>
consolidatedCount
integer<int32>
newEntryCount
integer<int32>
vesselCount
integer<int32>
aircraftCount
integer<int32>